org.apache.tapestry5.runtime

## Interface PageLifecycleListener

- All Known Implementing Classes:
    PageLifecycleAdapter

  Deprecated.
  in 5.3.4, replaced with `PageLifecycleCallbackHub`

      public interface PageLifecycleListener

  A set of methods that allow components to know about page-level operations. When this interface is PlasticClass.introduceInterface(Class) introduced}, the component will automatically register itself as a listener with the page.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `containingPageDidAttach()` Deprecated. In Tapestry 5.3, use `PageLifecycleCallbackHub.addPageAttachedCallback(Runnable)` instead.
    `void` | `containingPageDidDetach()` Deprecated. In Tapestry 5.3, use `PageLifecycleCallbackHub.addPageDetachedCallback(Runnable)` instead.
    `void` | `containingPageDidLoad()` Deprecated. in 5.3.4, use `PageLifecycleCallbackHub.addPageLoadedCallback(Runnable)` instead
    `void` | `restoreStateBeforePageAttach()` Deprecated. In Tapestry 5.3, with no replacement (persisted fields now lazily restore their state)

- - ### Method Detail

    - #### containingPageDidLoad

          void containingPageDidLoad()

      Deprecated. in 5.3.4, use `PageLifecycleCallbackHub.addPageLoadedCallback(Runnable)` instead
      Invoked when the page finishes loading. This occurs once all components are loaded and all parameters have been set.

    - #### containingPageDidDetach

          void containingPageDidDetach()

      Deprecated. In Tapestry 5.3, use `PageLifecycleCallbackHub.addPageDetachedCallback(Runnable)` instead.
      Invoked when the page is detached, allowing components a chance to clear out any temporary or client specific state.

    - #### containingPageDidAttach

          void containingPageDidAttach()

      Deprecated. In Tapestry 5.3, use `PageLifecycleCallbackHub.addPageAttachedCallback(Runnable)` instead.
      Invoked when a page is first attached to the current request, giving components a chance to initialize for the current request.

    - #### restoreStateBeforePageAttach

          void restoreStateBeforePageAttach()

      Deprecated. In Tapestry 5.3, with no replacement (persisted fields now lazily restore their state)
      A kind of "pre-attach" phase allowing components to restore internal state before handling the actual attach; this is primarily used to restore persisted fields.
      Since:
        5.1.0.1

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.